Get category by ID
Get a category by id.
GET
/categories/{categoryId}Authorization
AuthorizationBearer token (API key) · headerrequiredOrganization API key.
Path parameters
categoryIdstringrequiredResponses
200Category details
dataCategoryrequiredShow propertiesHide properties
idstringnamestringindexintegershowOnScreenbooleanimageUrlstringmarginMinPercentnumbermarginMaxPercentnumberdeletedbooleanhideStorestring[]allowStorestring[]createdatestring<date-time>403Unauthorized
statusCodeintegerrequiredHTTP status code
messagestringrequiredHuman-readable error message
timestampstring<date-time>requiredpathstringrequiredRequest path
404Not found
statusCodeintegerrequiredHTTP status code
messagestringrequiredHuman-readable error message
timestampstring<date-time>requiredpathstringrequiredRequest path
Request
curl -X GET "https://dashboard.scango.ch/api/v1/categories/string" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://dashboard.scango.ch/api/v1/categories/string", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});Response
{
"data": {
"id": "string",
"name": "string",
"index": 0,
"showOnScreen": true,
"imageUrl": "string",
"marginMinPercent": 0,
"marginMaxPercent": 0,
"deleted": true,
"hideStore": [
"string"
],
"allowStore": [
"string"
],
"createdate": "2024-01-01T00:00:00Z"
}
}{
"statusCode": 0,
"message": "string",
"timestamp": "2024-01-01T00:00:00Z",
"path": "string"
}{
"statusCode": 0,
"message": "string",
"timestamp": "2024-01-01T00:00:00Z",
"path": "string"
}